'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var PORT = exports.PORT = process.env.PORT || 5000;

var TEMPLATE_REPO = exports.TEMPLATE_REPO = 'https://github.com/yhjor1212/web-instant-templates.git';

var PACKAGE_JSON = exports.PACKAGE_JSON = {
  scripts: {
    lint: 'eslint src',

    start: 'per-env',
    'start:development': 'webpack-dev-server',
    'start:production': 'webpack -p && pushstate-server'
  },
  license: 'UNLICENSED',
  eslintConfig: {
    extends: 'eslint-config-airbnb',
    parser: 'babel-eslint',
    env: {
      browser: true,
      node: true
    },
    globals: {
      React: true,
      classnames: true,
      $: true
    }
  },
  babel: {
    presets: ['latest', 'react', 'react-optimize']
  }
};

var DEPENDENCIES = exports.DEPENDENCIES = [{
  name: 'Web Production',
  dev: false,
  packages: [
  // React and Redux related
  'react', 'react-dom', 'react-router', 'react-router-scroll', 'react-helmet', 'redux', 'react-redux', 'redux-thunk', 'redux-actions', 'classnames',

  // Babel and Presets
  'babel-core', 'babel-preset-latest', 'babel-preset-react', 'babel-preset-react-optimize',

  // Tools
  'webpack-brevity', 'postcss', 'postcss-cssnext', 'postcss-import', 'per-env', 'pushstate-server',

  // Web Others
  'jquery', 'semantic-ui-css']
}, {
  name: 'Dev only',
  dev: true,
  packages: ['eslint', 'eslint-plugin-import', 'eslint-config-airbnb', 'eslint-plugin-react', 'eslint-plugin-jsx-a11y', 'babel-eslint']
}];
//# sourceMappingURL=config.js.map