'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolvePath = resolvePath;
exports.isPathExist = isPathExist;
exports.findPathThatExist = findPathThatExist;
exports.getWebpackConfigByPath = getWebpackConfigByPath;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function resolvePath() {
  var currentPath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

  if (typeof currentPath !== 'string') {
    throw new Error('currentPath is not string');
  }

  return _path2.default.resolve(process.cwd(), currentPath);
}

function isPathExist(targetPath) {
  try {
    _fs2.default.statSync(targetPath);
  } catch (err) {
    return err.code !== 'ENOENT';
  }

  return true;
}

function findPathThatExist() {
  for (var _len = arguments.length, paths = Array(_len), _key = 0; _key < _len; _key++) {
    paths[_key] = arguments[_key];
  }

  return paths.find(function (currectPath) {
    return isPathExist(currectPath);
  });
}

function getWebpackConfigByPath() {
  var currentPath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

  if (typeof currentPath !== 'string') {
    throw new Error('currentPath is not string');
  }

  /* eslint-disable global-require */
  require('babel-register');

  return require(currentPath).default;
  /* eslint-enable */
}
//# sourceMappingURL=utils.js.map