import commander from 'commander';

import create from './cli/create';
import generate from './cli/generate';

import logger from './logger';
import { version } from '../package.json';

commander.version(version);

commander
  .command('create [name]')
  .description('create application with a name')
  .action(name => create(name));

commander
  .command('generate [type] [feature] [name]')
  .description('generate file with ease')
  .action((type, feature, name) => generate(type, feature, name));

commander
  .command('*')
  .action(() => logger.warn('Wrong input'));

commander.parse(process.argv);
