import path from 'path';
import fs from 'fs';

export function resolvePath(currentPath = '') {
  if (typeof currentPath !== 'string') {
    throw new Error('currentPath is not string');
  }

  return path.resolve(process.cwd(), currentPath);
}

export function isPathExist(targetPath) {
  try {
    fs.statSync(targetPath);
  } catch (err) {
    return err.code !== 'ENOENT';
  }

  return true;
}

export function findPathThatExist(...paths) {
  return paths.find(currectPath => isPathExist(currectPath));
}

export function getWebpackConfigByPath(currentPath = '') {
  if (typeof currentPath !== 'string') {
    throw new Error('currentPath is not string');
  }

  /* eslint-disable global-require */
  require('babel-register');

  return require(currentPath).default;
  /* eslint-enable */
}
